<?php

load_theme_textdomain('bistscript',get_template_directory().'/lang');

function more($more) {
	return ' ...';
}
add_filter('excerpt_more', 'more');

if (function_exists('add_theme_support')) {
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 100, 100 );
}

if ( function_exists('register_sidebar') )
register_sidebar(array(
	'name'  	=> 'Sidebar Right',
        'before_widget' => '<div class="hidenover">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
));

register_sidebar(array(
	'name'  	=> 'Sidebar Left',
        'before_widget' => '<div class="hidenover">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
));

 function wp_admin_dashboard_add_news_feed_widget() {
 global $wp_meta_boxes;

 wp_add_dashboard_widget( 'dashboard_mw_feed', 'bistscript web & wp-parsi', 'dashboard_mw_feed_output' );
 }
 add_action('wp_dashboard_setup', 'wp_admin_dashboard_add_news_feed_widget');

 function dashboard_mw_feed_output() {
 echo '<div class="bistscript">';
 wp_widget_rss_output(array(
 'url' => 'http://www.20script.ir/category/themes/wordpress/',
 'title' => __('Latest news from bistscript Blog', 'bistscript'),
 'items' => 5,
 'show_summary' => 0,
 'show_author' => 0,
 'show_date' => 0
 ));
 echo '<p>' . __('Supported bistscript Web themes and answering your questions in the forums Support <a target=_blank" href="http://forum.wp-parsi.com">Wp-Parsi</a>','bistscript') . '</p>';
 echo "</div>";
 }

function thsp_enqueue_pointer_script_style( $hook_suffix ) {
	
	$enqueue_pointer_script_style = false;

	$dismissed_pointers = explode( ',', get_user_meta( get_current_user_id(), 'dismissed_wp_pointers', true ) );

	if( !in_array( 'thsp_settings_pointer', $dismissed_pointers ) ) {
		$enqueue_pointer_script_style = true;
		
		add_action( 'admin_print_footer_scripts', 'thsp_pointer_print_scripts' );
	}

	if( $enqueue_pointer_script_style ) {
		wp_enqueue_style( 'wp-pointer' );
		wp_enqueue_script( 'wp-pointer' );
	}
	
}
add_action( 'admin_enqueue_scripts', 'thsp_enqueue_pointer_script_style' );

function thsp_pointer_print_scripts() {

	$pointer_content  = '<h3>' . __( 'Notice','bistscript' ) . '</h3>';
	$pointer_content .= '<p>' . __( 'You can active or inactive widget on the left side of the bar!','bistscript' ) . '</p>';
	?>
	
	<script type="text/javascript">
	//<![CDATA[
	jQuery(document).ready( function($) {
		$('.bistscript').pointer({
			content:		'<?php echo $pointer_content; ?>',
			position:		{
								edge:	'right',
								align:	'center'
							},
			pointerWidth:	350,
			close:			function() {
								$.post( ajaxurl, {
										pointer: 'thsp_settings_pointer',
										action: 'dismiss-wp-pointer'
								});
							}
		}).pointer('open');
	});
	//]]>
	</script>

<?php } ?>